## kf6-kcalendarcore 6.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(KF_VERSION "6.18.0") # handled by release scripts

project(KCalendarCore VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 6.7.0)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePkgConfigFile)
include(ECMGenerateQDoc)
include(ECMDeprecationSettings)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(KCALENDARCORE_LIB_VERSION ${KF_VERSION})
set(kcalendarcore_version_header "${KCalendarCore_BINARY_DIR}/src/kcalendarcore_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCALENDARCORE
  VERSION_HEADER "${kcalendarcore_version_header}"
  PACKAGE_VERSION_FILE "${KCalendarCore_BINARY_DIR}/KF6CalendarCoreConfigVersion.cmake"
  SOVERSION 6
)

########### Find packages ###########
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)

set(LibIcal_MIN_VERSION "3.0")
# TODO remove our FindLibIcal.cmake in favor of upstream LibIcalConfig.cmake once the following issues are resolved:
# https://github.com/libical/libical/pull/510
# https://bugs.launchpad.net/ubuntu/+source/libical3/+bug/1946963
# https://bugs.launchpad.net/ubuntu/+source/libical/+bug/1920587
find_package(LibIcal ${LibIcal_MIN_VERSION})
set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6CalendarCore")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6CalendarCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CalendarCoreConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
  add_subdirectory(autotests)
endif()

########### Install Files ###########
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CalendarCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CalendarCoreConfigVersion.cmake"
  cmake/FindLibIcal.cmake
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6CalendarCoreTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6CalendarCoreTargets.cmake
  NAMESPACE KF6::
)

install(FILES
  ${kcalendarcore_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore COMPONENT Devel
)

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KF6CalendarCore
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/
      DEPS "Qt6Core Qt6Gui"
    INSTALL)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG REQUIRED)

# needed by loadcalendar
file(
    COPY ${CMAKE_CURRENT_SOURCE_DIR}/cal
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
)

macro(macro_unit_tests)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp)
        add_test(NAME ${_testname} COMMAND ${_testname})
        ecm_mark_as_test(${_testname})
        target_link_libraries(${_testname} KF6CalendarCore Qt6::Test LibIcal)
    endforeach()
endmacro()

macro_unit_tests(
  testalarm
  testattachment
  testattendee
  testcalfilter
  testconference
  testcustomproperties
  testdateserialization
  testduration
  testevent
  testincidence
  testexception
  testfilestorage
  testfreebusy
  testincidencerelation
  testicalformat
  testidentical
  testjournal
  testmemorycalendar
  testperiod
  testfreebusyperiod
  testperson
  testrecurtodo
  teststartdatetimesfordate
  teststatus
  testtodo
  testtimesininterval
  testcreateddatecompat
  testrecurrenceexception
  testoccurrenceiterator
  testreadrecurrenceid
  incidencestest
  loadcalendar
  fbrecurring
  readandwrite
  testfb
  testrecurprevious
  testrecurrence
  testrecurrencetype
  testrecurson
  testtostring
  testvcalexport
  testcalendarobserver
  calendarlistmodeltest
)

set_target_properties(
    testmemorycalendar
    PROPERTIES
        COMPILE_FLAGS
            -DICALTESTDATADIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/data/\\""
)
set_target_properties(
    testreadrecurrenceid
    PROPERTIES
        COMPILE_FLAGS
            -DICALTESTDATADIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/data/\\""
)
set_target_properties(
    testconference
    PROPERTIES
        COMPILE_FLAGS
            -DICALTESTDATADIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/data/\\""
)
# this test cannot work with msvc because libical should not be altered
# and therefore we can't add KCALENDARCORE_EXPORT there
# it should work fine with mingw because of the auto-import feature
# TODO: check if this can build with msvc now (and if it works on Windows)
if(NOT MSVC)
    macro_unit_tests(testicaltimezones)
    target_link_libraries(testicaltimezones Qt6::Core KF6::CalendarCore)
endif()

########### Tests #######################

file(GLOB_RECURSE testFiles data/RecurrenceRule/*.ics)
if(${LibIcal_VERSION} VERSION_GREATER_EQUAL "3.99.99")
    file(GLOB_RECURSE vCalFiles data/vCalendar-libicalV4/*.vcs)
    file(GLOB_RECURSE compatFiles data/Compat-libicalV4/*.ics)
else()
    file(GLOB_RECURSE vCalFiles data/vCalendar/*.vcs)
    file(GLOB_RECURSE compatFiles data/Compat/*.ics)
endif()

find_program(PERL_EXECUTABLE perl)

macro(kcalcore_run_single_test _prefix _f _test _testarg)
    get_filename_component(_fn ${_f} NAME)

    # Write the output file in the build directory.
    string(
        REGEX REPLACE
        "${CMAKE_CURRENT_SOURCE_DIR}"
        "${CMAKE_CURRENT_BINARY_DIR}"
        _outFile
        ${_f}
    )
    get_filename_component(_outputPath ${_outFile} PATH)
    file(MAKE_DIRECTORY ${_outputPath})

    set(_runner
        ${PERL_EXECUTABLE}
        ${CMAKE_CURRENT_SOURCE_DIR}/runsingletestcase.pl
    )
    add_test(
        NAME ${_prefix}-${_fn}
        COMMAND ${_runner} $<TARGET_FILE:${_test}> ${_testarg} ${_f} ${_outFile}
    )
endmacro()

file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/FAILED.log)

foreach(file ${testFiles})
    kcalcore_run_single_test(RecurNext ${file} testrecurrence "next")
endforeach()

foreach(file ${testFiles})
    kcalcore_run_single_test(RecurPrev ${file} testrecurprevious "prev")
endforeach()

foreach(file ${testFiles})
    kcalcore_run_single_test(RecursOn ${file} testrecurson "recurson")
endforeach()

foreach(file ${compatFiles})
    kcalcore_run_single_test(Compat ${file} readandwrite "ical")
endforeach()

foreach(file ${vCalFiles})
    kcalcore_run_single_test(VCalIn ${file} readandwrite "ical")
endforeach()

if(${LibIcal_VERSION} VERSION_GREATER_EQUAL "3.99.99")
    file(GLOB_RECURSE xCalFiles data/xCalendar-libicalV4/*.xcal)
else()
    file(GLOB_RECURSE xCalFiles data/xCalendar/*.xcal)
endif()
foreach(file ${xCalFiles})
    kcalcore_run_single_test(XCalIn ${file} readandwrite "ical")
endforeach()

=== debian/changelog ===
kf6-kcalendarcore (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:14:12 +0200

=== debian/control ===
Source: kf6-kcalendarcore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               bison,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libical-dev (>= 3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev,
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/frameworks/kcalendarcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore.git

Package: libkf6calendarcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore6 (= ${binary:Version}),
         qml6-module-org-kde-calendarcore (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libkf6calendarcore-doc (= ${source:Version}),
Description: development files for kcalendarcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6calendarcore-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: calendar access framework (documentation)
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.

Package: libkf6calendarcore6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.

Package: qml6-module-org-kde-calendarcore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: calendar access framework (QML bindings)
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the QML bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	-xvfb-run -a dh_auto_test --no-parallel

## kf6-kcalendarcore 6.18.0+p24.04+vstable+git20250908.2335

=== debian/changelog ===
kf6-kcalendarcore (6.18.0+p24.04+vstable+git20250908.2335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:35:50 +0000

kf6-kcalendarcore (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 22:47:47 +0000

kf6-kcalendarcore (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:09:22 +0000

kf6-kcalendarcore (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:01:22 +0000

kf6-kcalendarcore (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:37:56 +0000

kf6-kcalendarcore (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:24:53 +0000

kf6-kcalendarcore (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:49:44 +0000

kf6-kcalendarcore (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:51:16 +0000

kf6-kcalendarcore (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:18:21 +0000

kf6-kcalendarcore (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:29:23 +0000

kf6-kcalendarcore (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:19:21 +0000

kf6-kcalendarcore (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:21:57 +0000

kf6-kcalendarcore (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:16:23 +0000

kf6-kcalendarcore (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:23:54 +0000

kf6-kcalendarcore (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:17:27 +0000

kf6-kcalendarcore (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:35:45 +0000

kf6-kcalendarcore (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:27:15 +1000

kf6-kcalendarcore (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:50:03 +0000

kf6-kcalendarcore (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:13:42 +0000

kf6-kcalendarcore (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kcalendarcore (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kcalendarcore 6.18.0+p24.04+vstable+git20250916.0123

=== debian/changelog ===
kf6-kcalendarcore (6.18.0+p24.04+vstable+git20250916.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 01:23:09 +0000

## kf6-kcalendarcore 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 
 project(KCalendarCore VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_library(KF6CalendarCore)
add_library(KF6::CalendarCore ALIAS KF6CalendarCore)

qt_extract_metatypes(KF6CalendarCore)

set_target_properties(KF6CalendarCore PROPERTIES
    VERSION     ${KCALENDARCORE_VERSION}
    SOVERSION   ${KCALENDARCORE_SOVERSION}
    EXPORT_NAME CalendarCore
)

target_sources(KF6CalendarCore PRIVATE
    alarm.cpp
    alarm.h
    attachment.cpp
    attachment.h
    attendee.cpp
    attendee.h
    calendar.cpp
    calendar.h
    calendar_p.h
    calendarlistmodel.cpp
    calendarplugin.cpp
    calendarplugin.h
    calendarpluginloader.cpp
    calendarpluginloader.h
    calfilter.cpp
    calfilter.h
    calformat.cpp
    calformat.h
    calstorage.cpp
    calstorage.h
    compat.cpp
    compat_p.h
    conference.cpp
    conference.h
    customproperties.cpp
    customproperties.h
    duration.cpp
    duration.h
    event.cpp
    event.h
    exceptions.cpp
    exceptions.h
    filestorage.cpp
    filestorage.h
    freebusycache.cpp
    freebusycache.h
    freebusy.cpp
    freebusy.h
    freebusyperiod.cpp
    freebusyperiod.h
    icalformat.cpp
    icalformat.h
    icalformat_p.cpp
    icalformat_p.h
    icaltimezones.cpp
    icaltimezones_p.h
    incidencebase.cpp
    incidencebase.h
    incidencebase_p.h
    incidence.cpp
    incidence.h
    incidence_p.h
    journal.cpp
    journal.h
    memorycalendar.cpp
    memorycalendar.h
    occurrenceiterator.cpp
    occurrenceiterator.h
    period.cpp
    period.h
    person.cpp
    person.h
    person_p.h
    recurrence.cpp
    recurrence.h
    recurrencehelper_p.h
    recurrencerule.cpp
    recurrencerule.h
    schedulemessage.cpp
    schedulemessage.h
    sorting.cpp
    sorting.h
    todo.cpp
    todo.h
    utils.cpp
    utils_p.h
    vcalformat.cpp
    vcalformat.h
    visitor.cpp
    visitor.h
    xcalformat.cpp
    xcalformat.h
)
ecm_qt_declare_logging_category(KF6CalendarCore
    HEADER kcalendarcore_debug.h
    IDENTIFIER KCALCORE_LOG
    CATEGORY_NAME kf.calendarcore
    OLD_CATEGORY_NAMES log_kcalcore org.kde.pim.kcalcore
    DESCRIPTION "KCalendarCore"
    EXPORT KCALENDARCORE
)

ecm_generate_export_header(KF6CalendarCore
    BASE_NAME kcalendarcore
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6CalendarCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore>")

target_link_libraries(KF6CalendarCore
PUBLIC
    Qt6::Core
    Qt6::Gui
PRIVATE
    LibIcal
)

install(TARGETS KF6CalendarCore EXPORT KF6CalendarCoreTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
set(kcalendarcore_headers
  Alarm
  Attachment
  Attendee
  CalFilter
  CalFormat
  CalStorage
  Calendar
  CalendarListModel
  CalendarPlugin
  CalendarPluginLoader
  Conference
  CustomProperties
  Duration
  Event
  Exceptions
  FileStorage
  FreeBusy
  FreeBusyCache
  FreeBusyPeriod
  ICalFormat
  Incidence
  IncidenceBase
  Journal
  MemoryCalendar
  OccurrenceIterator
  Period
  Person
  Recurrence
  RecurrenceRule
  ScheduleMessage
  Sorting
  Todo
  VCalFormat
  Visitor
)

ecm_generate_headers(KCalendarCore_CamelCase_HEADERS
  HEADER_NAMES
    ${kcalendarcore_headers}
  PREFIX KCalendarCore
  REQUIRED_HEADERS KCalendarCore_HEADERS
)

add_subdirectory(qml)

########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcalendarcore_export.h
  ${KCalendarCore_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/kcalendarcore
  COMPONENT Devel
)

install(FILES
  ${KCalendarCore_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/KCalendarCore
  COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KCALENDARCORE
    FILE kcalendarcore.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6CalendarCore kcalendarcore.qdocconf)

=== debian/changelog ===
kf6-kcalendarcore (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: kf6-kcalendarcore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                libical-dev (>= 3.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev,
                qt6-tools-dev (>= 6.5.0~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcalendarcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcalendarcore
 
 Package: libkf6calendarcore-dev
 Section: libdevel
@@ -32,7 +31,7 @@
 Multi-Arch: same
 Depends: libkf6calendarcore6 (= ${binary:Version}),
          qml6-module-org-kde-calendarcore (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6calendarcore-doc (= ${source:Version}),
 Description: development files for kcalendarcore
@@ -61,8 +60,7 @@
 Package: libkf6calendarcore6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: calendar access framework
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the
@@ -73,9 +71,7 @@
 Package: qml6-module-org-kde-calendarcore
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: calendar access framework (QML bindings)
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the

## kf6-kcalendarcore 6.19.0+p24.04+vstable+git20251008.0746

=== debian/changelog ===
kf6-kcalendarcore (6.19.0+p24.04+vstable+git20251008.0746-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:46:07 +0000

kf6-kcalendarcore (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:48:08 +0000

## kf6-kcalendarcore 6.19.0+p24.04+vstable+git20251019.0047

=== debian/changelog ===
kf6-kcalendarcore (6.19.0+p24.04+vstable+git20251019.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:47:14 +0000

=== debian/control ===
Source: kf6-kcalendarcore
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libical-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kcalendarcore.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kcalendarcore
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kcalendarcore
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6calendarcore-data, libkf6calendarcore6
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.

Package: kf6-kcalendarcore-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcalendarcore (= ${binary:Version}),
         libical-dev (>= 0.42~),
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkf6calendarcore-dev, libkf6calendarcore-doc
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf6calendarcore6
Architecture: all
Depends: kf6-kcalendarcore, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6calendarcore-data
Architecture: all
Depends: kf6-kcalendarcore, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6calendarcore-dev
Architecture: all
Depends: kf6-kcalendarcore-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6calendarcore-doc
Architecture: all
Depends: kf6-kcalendarcore-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/frameworks/([\d\.]*)/kcalendarcore-([\d.]+).tar.xz

## kf6-kcalendarcore 6.19.0+p24.04+vunstable+git20251020.0153

=== debian/changelog ===
kf6-kcalendarcore (6.19.0+p24.04+vunstable+git20251020.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:53:54 +0000

## kf6-kcalendarcore 6.19.0+p24.04+vunstable+git20251111.0306

=== debian/changelog ===
kf6-kcalendarcore (6.19.0+p24.04+vunstable+git20251111.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:06:54 +0000

## kf6-kcalendarcore 6.20.0

=== debian/changelog ===
kf6-kcalendarcore (6.20.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Add tzdata, and tzdata-legacy as test build dependencies, to ensure that
    timezones details (including "legacy" ones, used in some tests) are
    available when running the tests.

 -- Pino Toscano <pino@debian.org>  Sat, 03 Jan 2026 09:11:16 +0100

kf6-kcalendarcore (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:43 +0100

=== debian/control ===
Source: kf6-kcalendarcore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               bison,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libical-dev (>= 3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev,
               qt6-tools-dev (>= 6.5.0~),
               tzdata <!nocheck>,
               tzdata-legacy <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kcalendarcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore.git

Package: libkf6calendarcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore6 (= ${binary:Version}),
         qml6-module-org-kde-calendarcore (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6calendarcore-doc (= ${source:Version}),
Description: development files for kcalendarcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6calendarcore-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: calendar access framework (documentation)
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.

Package: libkf6calendarcore6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.

Package: qml6-module-org-kde-calendarcore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: calendar access framework (QML bindings)
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the QML bindings.

## kf6-kcalendarcore 6.20.0+p24.04+vunstable+git20251122.0638

=== debian/changelog ===
kf6-kcalendarcore (6.20.0+p24.04+vunstable+git20251122.0638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:38:01 +0000

kf6-kcalendarcore (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:52 +1000

## kf6-kcalendarcore 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 
 project(KCalendarCore VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)

=== debian/changelog ===
kf6-kcalendarcore (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:49:40 +0000

kf6-kcalendarcore (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:12:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcalendarcore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
@@ -12,20 +13,17 @@
                bison,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libical-dev (>= 3.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev,
-               qt6-tools-dev (>= 6.5.0~),
-               tzdata <!nocheck>,
-               tzdata-legacy <!nocheck>,
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.7.3
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcalendarcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcalendarcore
 
 Package: libkf6calendarcore-dev
 Section: libdevel
@@ -33,7 +31,7 @@
 Multi-Arch: same
 Depends: libkf6calendarcore6 (= ${binary:Version}),
          qml6-module-org-kde-calendarcore (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6calendarcore-doc (= ${source:Version}),
 Description: development files for kcalendarcore
@@ -62,8 +60,7 @@
 Package: libkf6calendarcore6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: calendar access framework
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the
@@ -74,9 +71,7 @@
 Package: qml6-module-org-kde-calendarcore
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: calendar access framework (QML bindings)
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the

## kf6-kcalendarcore 6.21.0+p24.04+vunstable+git20251207.0530

=== debian/changelog ===
kf6-kcalendarcore (6.21.0+p24.04+vunstable+git20251207.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:30:56 +0000

kf6-kcalendarcore (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:32 +1000

## kf6-kcalendarcore 6.22.0

=== debian/changelog ===
kf6-kcalendarcore (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:28:40 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: bison,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               bison,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libical-dev (>= 3.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),

## kf6-kcalendarcore 6.22.0+p24.04+vstable+git20260116.0244

=== debian/changelog ===
kf6-kcalendarcore (6.22.0+p24.04+vstable+git20260116.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:44:58 +0000

kf6-kcalendarcore (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:45:11 +1000

## kf6-kcalendarcore 6.22.0+p24.04+vstable+git20260204.0852

=== debian/changelog ===
kf6-kcalendarcore (6.22.0+p24.04+vstable+git20260204.0852-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:52:19 +0000

## kf6-kcalendarcore 6.22.0+p24.04+vunstable+git20260123.0223

=== debian/changelog ===
kf6-kcalendarcore (6.22.0+p24.04+vunstable+git20260123.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:23:24 +0000

## kf6-kcalendarcore 6.23.0

=== debian/changelog ===
kf6-kcalendarcore (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:02 +0100

=== debian/control ===
Source: kf6-kcalendarcore
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               bison,
               cmake (>= 3.27~),
               doxygen,
               extra-cmake-modules (>= 6.23.0~),
               libical-dev (>= 3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               tzdata <!nocheck>,
               tzdata-legacy <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/kcalendarcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcalendarcore.git

Package: libkf6calendarcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6calendarcore6 (= ${binary:Version}),
         qml6-module-org-kde-calendarcore (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6calendarcore-doc (= ${source:Version}),
Description: development files for kcalendarcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6calendarcore-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: calendar access framework (documentation)
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.

Package: libkf6calendarcore6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.

Package: qml6-module-org-kde-calendarcore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: calendar access framework (QML bindings)
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the QML bindings.
